Debian Bug report logs - #569103
Uses obsolete V4L1 API

version graph

Package: xserver-xorg-video-v4l; Maintainer for xserver-xorg-video-v4l is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-v4l is src:xserver-xorg-video-v4l.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Wed, 10 Feb 2010 01:33:01 UTC

Severity: serious

Tags: fixed-upstream, upstream

Found in version xserver-xorg-video-v4l/1:0.2.0-4

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=26786

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#569103; Package xserver-xorg-video-v4l. (Wed, 10 Feb 2010 01:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 10 Feb 2010 01:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Uses obsolete V4L1 API
Date: Wed, 10 Feb 2010 01:32:13 +0000
Package: xserver-xorg-video-v4l
Version: 3.95.dfsg.1-8.1
Severity: serious

The V4L1 API is obsolete and does not work with most new V4L drivers.
You can use libv4l as an emulation layer; see
<http://hansdegoede.livejournal.com/3636.html>.

Ben.

-- System Information:
Debian Release: squeeze/sid
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-v4l depends on:
ii  libc6                         2.10.2-5   Embedded GNU C Library: Shared lib
ii  xserver-xorg-core             2:1.7.4-2  Xorg X server - core server

xserver-xorg-video-v4l recommends no packages.

xserver-xorg-video-v4l suggests no packages.




Bug No longer marked as found in versions 3.95.dfsg.1-8.1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 02:03:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xserver-xorg-video-v4l/1:0.2.0-4. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 02:03:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 27 Feb 2010 12:24:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=26786'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 27 Feb 2010 12:24:05 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 14 Mar 2010 18:21:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#569103; Package xserver-xorg-video-v4l. (Mon, 04 Apr 2011 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 04 Apr 2011 02:15:04 GMT) Full text and rfc822 format available.

Message #20 received at 569103@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 569103@bugs.debian.org
Subject: No more help needed for #569103, fixed upstream.
Date: Mon, 4 Apr 2011 04:10:54 +0200
[Message part 1 (text/plain, inline)]
tag 569103 - help
tag 569103 + fixed-upstream
thanks

Julien Cristau <jcristau@debian.org> (27/02/2010):
> tags 569103 upstream
> forwarded 569103 https://bugs.freedesktop.org/show_bug.cgi?id=26786
> thanks

Just closed the upstream bug report since the V4L2 port landed in
master, removing help tag since we only need an upstream release
before being able to upload a fixed package.

(fixed-upstream would be set by bts-link, but let's be quicker for
onceā€¦)

KiBi.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) help. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 02:15:06 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 02:15:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:37:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.